package com.bonus.canteen.core.customer.constants;


import com.bonus.canteen.core.common.utils.TenantContextHolder;

public interface CustCacheKey {
   String TENANT_KEY = "yst:%s:";
   String PLACE_IN_IMPORT = "customer:excel:placeInImport";
   String CUSTOMER_NUM_BELONG_ORG = "customer:customerNum:belongOrg";
   String ASYNC_CUST_STATE = "customer:excel:customerInImport";
   String DRAG_SORT_LOCK = "org:drag:sort";
   String THIRD_ACCOUNT_INFO = "yst:%s:third:";

   static String getTenantKey(String key) {
      return String.format("yst:%s:" + key, TenantContextHolder.getTenantId());
   }

   static String getThirdAccountTenantKey(String custId) {
      return String.format("yst:%s:third:" + custId, TenantContextHolder.getTenantId());
   }
}
